import flask_sqlalchemy


db = flask_sqlalchemy.SQLAlchemy(session_options=dict(autoflush=False))


class RegularSub(db.Model):
    __tablename__ = 'regularsubs'

    id = db.Column(db.Integer, primary_key=True, autoincrement=True)
    user = db.Column(db.String)
    rank = db.Column(db.Integer)
    time = db.Column(db.DateTime)
    created_at = db.Column(db.DateTime)
    updated_at = db.Column(db.DateTime)


class GiftedSub(db.Model):
    __tablename__ = 'giftedsubs'

    id = db.Column(db.Integer, primary_key=True, autoincrement=True)
    giver = db.Column(db.String)
    receiver = db.Column(db.String)
    time = db.Column(db.DateTime)
    created_at = db.Column(db.DateTime)
    updated_at = db.Column(db.DateTime)
